import{S as Nt,i as St,s as Rt,e as o,k as c,w as $t,t as s,M as Vt,c as r,d as a,m as d,a as l,x as Ct,h as i,b as n,G as e,g as h,y as qt,L as Lt,q as Dt,o as It,B as Tt,v as Bt}from"../chunks/vendor-hf-doc-builder.js";import{I as Ot}from"../chunks/IconCopyLink-hf-doc-builder.js";function Yt(ot){let v,te,w,k,K,$,ve,J,we,ae,f,ye,z,_e,Ee,C,xe,ke,Q,He,Pe,oe,p,Ae,O,$e,Ce,W,qe,De,re,q,g,y,N,Ie,Te,S,Oe,Ne,_,R,Se,Re,V,Ve,Le,E,L,Be,Ye,B,Fe,le,Y,Me,ne,b,F,Ue,je,M,Ge,se,x,H,X,D,Ke,Z,Je,ie,m,ze,ee,Qe,We,I,Xe,Ze,ue,P,et,T,tt,at,he;return $=new Ot({}),D=new Ot({}),{c(){v=o("meta"),te=c(),w=o("h1"),k=o("a"),K=o("span"),$t($.$$.fragment),ve=c(),J=o("span"),we=s("\u{1F917} Hub client library"),ae=c(),f=o("p"),ye=s("The "),z=o("code"),_e=s("huggingface_hub"),Ee=s(" library allows you to interact with the "),C=o("a"),xe=s(`Hugging Face
Hub`),ke=s(`, a machine learning platform for creators and collaborators.
Discover pre-trained models and datasets for your projects or play with the hundreds of
machine learning apps hosted on the Hub. You can also create and share your own models
and datasets with the community. The `),Q=o("code"),He=s("huggingface_hub"),Pe=s(` library provides a simple way to
do all these things with Python.`),oe=c(),p=o("p"),Ae=s("Read the "),O=o("a"),$e=s("quick start guide"),Ce=s(` to get up and running with the
`),W=o("code"),qe=s("huggingface_hub"),De=s(` library. You will learn how to download files from the Hub, create a
repository, and upload files to the Hub. Keep reading to learn more about how to manage
your repositories on the \u{1F917} Hub, how to interact in discussions or even how to access
the Inference API.`),re=c(),q=o("div"),g=o("div"),y=o("a"),N=o("div"),Ie=s("How-to guides"),Te=c(),S=o("p"),Oe=s("Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use huggingface_hub to solve real-world problems."),Ne=c(),_=o("a"),R=o("div"),Se=s("Reference"),Re=c(),V=o("p"),Ve=s("Exhaustive and technical description of huggingface_hub classes and methods."),Le=c(),E=o("a"),L=o("div"),Be=s("Conceptual guides"),Ye=c(),B=o("p"),Fe=s("High-level explanations for building a better understanding of huggingface_hub philosophy."),le=c(),Y=o("p"),Me=s("<!\u2014"),ne=c(),b=o("a"),F=o("div"),Ue=s("Tutorials"),je=c(),M=o("p"),Ge=s("Learn the basics and become familiar with using huggingface_hub to programmatically interact with the \u{1F917} Hub!"),se=s(` -->
`),x=o("h2"),H=o("a"),X=o("span"),$t(D.$$.fragment),Ke=c(),Z=o("span"),Je=s("Contribute"),ie=c(),m=o("p"),ze=s("All contributions to the "),ee=o("code"),Qe=s("huggingface_hub"),We=s(` are welcomed and equally valued! \u{1F917} Besides
adding or fixing existing issues in the code, you can also help improve the
documentation by making sure it is accurate and up-to-date, help answer questions on
issues, and request new features you think will improve the library. Take a look at the
`),I=o("a"),Xe=s(`contribution
guide`),Ze=s(` to
learn more about how to submit a new issue or feature request, how to submit a pull
request, and how to test your contributions to make sure everything works as expected.`),ue=c(),P=o("p"),et=s("Contributors should also be respectful of our "),T=o("a"),tt=s(`code of
conduct`),at=s(` to
create an inclusive and welcoming collaborative space for everyone.`),this.h()},l(t){const u=Vt('[data-svelte="svelte-1phssyn"]',document.head);v=r(u,"META",{name:!0,content:!0}),u.forEach(a),te=d(t),w=r(t,"H1",{class:!0});var ce=l(w);k=r(ce,"A",{id:!0,class:!0,href:!0});var rt=l(k);K=r(rt,"SPAN",{});var lt=l(K);Ct($.$$.fragment,lt),lt.forEach(a),rt.forEach(a),ve=d(ce),J=r(ce,"SPAN",{});var nt=l(J);we=i(nt,"\u{1F917} Hub client library"),nt.forEach(a),ce.forEach(a),ae=d(t),f=r(t,"P",{});var A=l(f);ye=i(A,"The "),z=r(A,"CODE",{});var st=l(z);_e=i(st,"huggingface_hub"),st.forEach(a),Ee=i(A," library allows you to interact with the "),C=r(A,"A",{href:!0,rel:!0});var it=l(C);xe=i(it,`Hugging Face
Hub`),it.forEach(a),ke=i(A,`, a machine learning platform for creators and collaborators.
Discover pre-trained models and datasets for your projects or play with the hundreds of
machine learning apps hosted on the Hub. You can also create and share your own models
and datasets with the community. The `),Q=r(A,"CODE",{});var ut=l(Q);He=i(ut,"huggingface_hub"),ut.forEach(a),Pe=i(A,` library provides a simple way to
do all these things with Python.`),A.forEach(a),oe=d(t),p=r(t,"P",{});var U=l(p);Ae=i(U,"Read the "),O=r(U,"A",{href:!0});var ht=l(O);$e=i(ht,"quick start guide"),ht.forEach(a),Ce=i(U,` to get up and running with the
`),W=r(U,"CODE",{});var ct=l(W);qe=i(ct,"huggingface_hub"),ct.forEach(a),De=i(U,` library. You will learn how to download files from the Hub, create a
repository, and upload files to the Hub. Keep reading to learn more about how to manage
your repositories on the \u{1F917} Hub, how to interact in discussions or even how to access
the Inference API.`),U.forEach(a),re=d(t),q=r(t,"DIV",{class:!0});var dt=l(q);g=r(dt,"DIV",{class:!0});var j=l(g);y=r(j,"A",{class:!0,href:!0});var de=l(y);N=r(de,"DIV",{class:!0});var ft=l(N);Ie=i(ft,"How-to guides"),ft.forEach(a),Te=d(de),S=r(de,"P",{class:!0});var pt=l(S);Oe=i(pt,"Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use huggingface_hub to solve real-world problems."),pt.forEach(a),de.forEach(a),Ne=d(j),_=r(j,"A",{class:!0,href:!0});var fe=l(_);R=r(fe,"DIV",{class:!0});var gt=l(R);Se=i(gt,"Reference"),gt.forEach(a),Re=d(fe),V=r(fe,"P",{class:!0});var bt=l(V);Ve=i(bt,"Exhaustive and technical description of huggingface_hub classes and methods."),bt.forEach(a),fe.forEach(a),Le=d(j),E=r(j,"A",{class:!0,href:!0});var pe=l(E);L=r(pe,"DIV",{class:!0});var mt=l(L);Be=i(mt,"Conceptual guides"),mt.forEach(a),Ye=d(pe),B=r(pe,"P",{class:!0});var vt=l(B);Fe=i(vt,"High-level explanations for building a better understanding of huggingface_hub philosophy."),vt.forEach(a),pe.forEach(a),j.forEach(a),dt.forEach(a),le=d(t),Y=r(t,"P",{});var wt=l(Y);Me=i(wt,"<!\u2014"),wt.forEach(a),ne=d(t),b=r(t,"A",{class:!0,href:!0});var ge=l(b);F=r(ge,"DIV",{class:!0});var yt=l(F);Ue=i(yt,"Tutorials"),yt.forEach(a),je=d(ge),M=r(ge,"P",{class:!0});var _t=l(M);Ge=i(_t,"Learn the basics and become familiar with using huggingface_hub to programmatically interact with the \u{1F917} Hub!"),_t.forEach(a),ge.forEach(a),se=i(t,` -->
`),x=r(t,"H2",{class:!0});var be=l(x);H=r(be,"A",{id:!0,class:!0,href:!0});var Et=l(H);X=r(Et,"SPAN",{});var xt=l(X);Ct(D.$$.fragment,xt),xt.forEach(a),Et.forEach(a),Ke=d(be),Z=r(be,"SPAN",{});var kt=l(Z);Je=i(kt,"Contribute"),kt.forEach(a),be.forEach(a),ie=d(t),m=r(t,"P",{});var G=l(m);ze=i(G,"All contributions to the "),ee=r(G,"CODE",{});var Ht=l(ee);Qe=i(Ht,"huggingface_hub"),Ht.forEach(a),We=i(G,` are welcomed and equally valued! \u{1F917} Besides
adding or fixing existing issues in the code, you can also help improve the
documentation by making sure it is accurate and up-to-date, help answer questions on
issues, and request new features you think will improve the library. Take a look at the
`),I=r(G,"A",{href:!0,rel:!0});var Pt=l(I);Xe=i(Pt,`contribution
guide`),Pt.forEach(a),Ze=i(G,` to
learn more about how to submit a new issue or feature request, how to submit a pull
request, and how to test your contributions to make sure everything works as expected.`),G.forEach(a),ue=d(t),P=r(t,"P",{});var me=l(P);et=i(me,"Contributors should also be respectful of our "),T=r(me,"A",{href:!0,rel:!0});var At=l(T);tt=i(At,`code of
conduct`),At.forEach(a),at=i(me,` to
create an inclusive and welcoming collaborative space for everyone.`),me.forEach(a),this.h()},h(){n(v,"name","hf:doc:metadata"),n(v,"content",JSON.stringify(Ft)),n(k,"id","hub-client-library"),n(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(k,"href","#hub-client-library"),n(w,"class","relative group"),n(C,"href","https://hf.co"),n(C,"rel","nofollow"),n(O,"href","quick-start"),n(N,"class","w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed"),n(S,"class","text-gray-700"),n(y,"class","!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg"),n(y,"href","./guides/overview"),n(R,"class","w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed"),n(V,"class","text-gray-700"),n(_,"class","!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg"),n(_,"href","./package_reference/overview"),n(L,"class","w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed"),n(B,"class","text-gray-700"),n(E,"class","!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg"),n(E,"href","./concepts/git_vs_http"),n(g,"class","w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"),n(q,"class","mt-10"),n(F,"class","w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed"),n(M,"class","text-gray-700"),n(b,"class","!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg"),n(b,"href","./tutorials/overview"),n(H,"id","contribute"),n(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(H,"href","#contribute"),n(x,"class","relative group"),n(I,"href","https://github.com/huggingface/huggingface_hub/blob/main/CONTRIBUTING.md"),n(I,"rel","nofollow"),n(T,"href","https://github.com/huggingface/huggingface_hub/blob/main/CODE_OF_CONDUCT.md"),n(T,"rel","nofollow")},m(t,u){e(document.head,v),h(t,te,u),h(t,w,u),e(w,k),e(k,K),qt($,K,null),e(w,ve),e(w,J),e(J,we),h(t,ae,u),h(t,f,u),e(f,ye),e(f,z),e(z,_e),e(f,Ee),e(f,C),e(C,xe),e(f,ke),e(f,Q),e(Q,He),e(f,Pe),h(t,oe,u),h(t,p,u),e(p,Ae),e(p,O),e(O,$e),e(p,Ce),e(p,W),e(W,qe),e(p,De),h(t,re,u),h(t,q,u),e(q,g),e(g,y),e(y,N),e(N,Ie),e(y,Te),e(y,S),e(S,Oe),e(g,Ne),e(g,_),e(_,R),e(R,Se),e(_,Re),e(_,V),e(V,Ve),e(g,Le),e(g,E),e(E,L),e(L,Be),e(E,Ye),e(E,B),e(B,Fe),h(t,le,u),h(t,Y,u),e(Y,Me),h(t,ne,u),h(t,b,u),e(b,F),e(F,Ue),e(b,je),e(b,M),e(M,Ge),h(t,se,u),h(t,x,u),e(x,H),e(H,X),qt(D,X,null),e(x,Ke),e(x,Z),e(Z,Je),h(t,ie,u),h(t,m,u),e(m,ze),e(m,ee),e(ee,Qe),e(m,We),e(m,I),e(I,Xe),e(m,Ze),h(t,ue,u),h(t,P,u),e(P,et),e(P,T),e(T,tt),e(P,at),he=!0},p:Lt,i(t){he||(Dt($.$$.fragment,t),Dt(D.$$.fragment,t),he=!0)},o(t){It($.$$.fragment,t),It(D.$$.fragment,t),he=!1},d(t){a(v),t&&a(te),t&&a(w),Tt($),t&&a(ae),t&&a(f),t&&a(oe),t&&a(p),t&&a(re),t&&a(q),t&&a(le),t&&a(Y),t&&a(ne),t&&a(b),t&&a(se),t&&a(x),Tt(D),t&&a(ie),t&&a(m),t&&a(ue),t&&a(P)}}}const Ft={local:"hub-client-library",sections:[{local:"contribute",title:"Contribute"}],title:"\u{1F917} Hub client library"};function Mt(ot){return Bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gt extends Nt{constructor(v){super();St(this,v,Mt,Yt,Rt,{})}}export{Gt as default,Ft as metadata};
